Image Metadata
List image metadata
Imago API
Version: 1.4.2
Searches for metadata of images matching a search criteria.
| Servers |
|---|
| https://imago.api.seequent.com/integrate/2 |
Parameters
Returns
200
Successful response.
Endpoint
GET
/image-metadataRequest
cURL
curl -X GET 'https://imago.api.seequent.com/integrate/2/image-metadata' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
{
"images": [
{
"id": "e2f26f0d-51c8-468e-b02f-29b4dc2217a2",
"workspaceId": "a27b51bf-b918-4fb4-a28f-4f089bf646a8",
"workspaceName": "Firefly Resource Development",
"datasetId": "71b93d30-8e5f-4b07-9f08-8e6bf5a72a50",
"datasetName": "Drilling Chips",
"collectionId": "054bf4c2-84cc-4d30-b4dc-cc81c77b7f25",
"collectionName": "RC-01001",
"imageryTypeId": "6a69bf8e-c03c-4ed2-8a62-d6feac838f12",
"imageryTypeName": "Chips",
"imageryId": "b91119e8-cee5-4c11-ad14-fe1dcb0c1c66",
"imageryName": "Hole 1",
"imageTypeId": "f16c5dbe-f455-4076-8358-ffda8f538814",
"imageTypeName": "Wet",
"updatedAt": "2011-10-05T14:48:00.000Z",
"uploadedOn": "2022-05-02T06:25:32.085Z",
"uploadedBy": "ImagoLive",
"mimeType": "image/png",
"fileSize": 40192,
"width": 1024,
"height": 768,
"checksum": "x7Rpt+5ET3C3vQataO7tEA==",
"startDepth": 5,
"endDepth": 15,
"url": "https://imago.api.seequent.com/integrate/2/image/b91119e8-cee5-4c11-ad14-fe1dcb0c1c66/?userId=34a3f4ae-d53c-43d4-8545-a552c2a24c54&start=2025-04-23T03:59:36.499Z&expiry=2025-04-23T15:59:36.499Z&sig=4284b5576fffd3ebb94740025415aa2138d514139c5c61c5ef0b7af912da3fb8",
"x": 10,
"y": 20,
"z": 30
}
],
"meta": {
"limit": 1000,
"offset": 0
}
}